<?xml version = "1.0" encoding="UTF-8"?>
<plugin
  id="de.grogra.billboard"
  version="2.1.4"
  class="de.grogra.billboard.BillboardPlugin"
  xmlns="http://grogra.de/registry">

  <library file="Billboard.jar" prefixes="{de.grogra.billboard}"/>
  <import plugin="de.grogra.examples"/>
  <import plugin="de.grogra.imp3d"/>
  <import plugin="de.grogra.vecmath"/>

  <registry>
  	<ref name="objects">
  		<directory name="vrmltempl">
  			<file name="vrmlcaketempl" mimeType="text/plain"
              systemId="files/VRMLTempl/vrmlcaketempl.wrl.txt"
              type="de.grogra.xl.lang.ObjectToObject"/>
  		</directory>
  	</ref>
  	<ref name="examples">
			<ref name="category3">
				<projectDir name="ahorn_c">
					<directory name="1">
						<FilterSourceFactory name="ahorn_c">
							<resource name="ahorn_c.gsz" />
						</FilterSourceFactory>
					</directory>
				</projectDir>
			</ref>
		<ref name="category5">
			<projectDir name="ulmus">
				<directory name="1">
					<FilterSourceFactory name="ulmus">
						<resource name="ulmus.gsz" />
					</FilterSourceFactory>
				</directory>
			</projectDir>
		</ref>
  	</ref>
  	
<!--
    <ref name="renderers">
      <ref name="3d">
        <object name="povray" expr="de.grogra.imp.ExternalRenderer">
          <var name="item"/>
          <option name="mimein" type="java.lang.String" value="model/x-pov" editable="false"/>
          <option name="mimeout" type="java.lang.String" value="image/x-portable-pixmap" editable="false"/>
          <option name="program" type="java.lang.String" value="povray"/>
          <option name="command" type="java.lang.String"
            value="$program +I$in +O$out +FP -D +W$width +H$height"/>
          <option name="stdout" type="boolean" value="true"/>
        </object>
      </ref>
    </ref>
-->
  </registry>
</plugin>
